set more off

local dirwork = "C:\Documents and Settings\wb308892\My Documents\_DT\ICP\India 2004\Data\Sch10\"

local i=1 
while `i'<=8 {

* Sch. 1.0 LEVEL - 01(Blocks 1, 2 and 3) ;
#delimit ;
clear;
infix 
centre 1-3
fsu 4-8
round 9-10
sched_num 11 -13
sched_typ 14-14
sample 15-15
sector 16-16
stat_reg  17-19
district 20-21
stratum 22-23
subround 24-24
subsample 25-25
fodsub_r 26-29
hamlet 30-30
secstage 31-31
hhsno 32-33
level 34-35
filler 36-40
informant 41-42
response 43-43
surv_code 44-44
subst_cod 45-45
date_srv 46-51
date_dsp 52-57
time_can 58-60
hhsize 61-62
nic_code 63-67
nco_code 68-70
hh_type 71-71
religion 72-72
soc_grp 73-73
land_pos 74-75
mpce 76-83
nss_com_w 127-129
nsc_com_w 130-132
mlt_com_w 133-142
using "`dirwork'AHQ`i'.TXT" ;
keep if (level==1);
compress *;
save "`dirwork'temp`i'_1.dta", replace;

* Sch. 1.0 LEVEL - 02 (Block 4) for schedule no. 1.0;
clear;
infix 
centre 1-3
fsu 4-8
round 9-10
sched_num 11 -13
sched_typ 14-14
sample 15-15
sector 16-16
stat_reg  17-19
district 20-21
stratum 22-23
subround 24-24
subsample 25-25
fodsub_r 26-29
hamlet 30-30
secstage 31-31
hhsno 32-33
level 34-35
filler 36-38
personno 39-40
relation 41-41
sex 42-42
age 43-45
marstat 46-46
educatio 47-48
tech_edc 49-49
pri_stat 50-51
nic_cod 52-56
nco_cod 57-59
sub_eng 60-60
sub_sta 61-62
sub_nic 63-67
sub_nco 68-70

nss_com_w 127-129
nsc_com_w 130-132
mlt_com_w 133-142

using "`dirwork'AHQ`i'.TXT" ;
keep if level==2;
compress *;
save "`dirwork'\temp`i'_2.dta", replace;

* Sch. 1.0 LEVEL - 03 (Block 5) for schedule no 10;
clear;
infix
centre 1-3
fsu 4-8
round 9-10
sched_num 11 -13
sched_typ 14-14
sample 15-15
sector 16-16
stat_reg  17-19
district 20-21
stratum 22-23
subround 24-24
subsample 25-25
fodsub_r 26-29
hamlet 30-30
secstage 31-31
hhsno 32-33
level 34-35
filler 36-38
personno 39-40
age 41-43
ser_no_act 44-44
status 45-46
nic_cod 47-48
operation 49-50
int_7day 51-52
int_6day 53-54
int_5day 55-56
int_4day 57-58
int_3day 59-60
int_2day 61-62
int_1day 63-64
tot_days 65-66
wage_cash 67-74
wage_kind 75-82
wage_tot 83-90
curr_stat 91-92
curr_nic 93-97
curr_nco 98-100
unemp_7dy 101-101
nss_com_w 127-129
nsc_com_w 130-132
mlt_com_w 133-142
using "`dirwork'AHQ`i'.TXT" ;
keep if level==3;
compress *;
save "`dirwork'temp`i'_3.dta", replace;

* Sch. 1.0 LEVEL - 04 (Block 6) for schedule no 10;
clear;
infix
centre 1-3
fsu 4-8
round 9-10
sched_num 11 -13
sched_typ 14-14
sample 15-15
sector 16-16
stat_reg  17-19
district 20-21
stratum 22-23
subround 24-24
subsample 25-25
fodsub_r 26-29
hamlet 30-30
secstage 31-31
hhsno 32-33
level 34-35
filler 36-38
personno 39-40
age 41-43
dur_unemp 44-44
ever_emp 45-45
emp_dur 46-46
emp_stat 47-48
emp_nic 49-53
emp_nco 54-56
rsn_brk_emp 57-57
nss_com_w 127-129
nsc_com_w 130-132
mlt_com_w 133-142
using "`dirwork'AHQ`i'.TXT" ;
keep if level==4;
compress *;
save "`dirwork'temp`i'_4.dta", replace;

* Sch. 1.0 LEVEL - 05 (Blocks 7) ;
clear ;
infix 
centre 1-3
fsu 4-8
round 9-10
sched_num 11 -13
sched_typ 14-14
sample 15-15
sector 16-16
stat_reg  17-19
district 20-21
stratum 22-23
subround 24-24
subsample 25-25
fodsub_r 26-29
hamlet 30-30
secstage 31-31
hhsno 32-33
level 34-35
filler 36-38
personno 39-40
age 41-43
sex 44-44
actv_sta 45-46
actv_ind 47-51
actv_occ 52-54
voc_tran 55-55
ser_train 56-56
fld_train 57-58
int_train 59-60
dur_train 61-63
deg_recv 64-64
usf_job 65-65
eco_actv 66-66
nss_com_w 127-129
nsc_com_w 130-132
mlt_com_w 133-142
using "`dirwork'AHQ`i'.TXT" ;
keep if level==5;
compress *;
save "`dirwork'temp`i'_5.dta", replace;


* Sch. 1.0 LEVEL - 06 (Blocks 8) ;
clear;
infix 
centre 1-3
fsu 4-8
round 9-10
sched_num 11 -13
sched_typ 14-14
sample 15-15
sector 16-16
stat_reg  17-19
district 20-21
stratum 22-23
subround 24-24
subsample 25-25
fodsub_r 26-29
hamlet 30-30
secstage 31-31
hhsno 32-33
level 34-35
filler 36-38
personno 39-40
cons30day 41-48
con365day 49-56
nss_com_w 127-129
nsc_com_w 130-132
mlt_com_w 133-142
using "`dirwork'AHQ`i'.TXT" ;
keep if level==6;
compress *;
save "`dirwork'temp`i'_6.dta", replace;

local i = `i' + 1 ;
#delimit cr
}

use "`dirwork'temp1_1.dta", clear
append using "`dirwork'temp2_1.dta"
append using "`dirwork'temp3_1.dta"
append using "`dirwork'temp4_1.dta"
append using "`dirwork'temp5_1.dta"
append using "`dirwork'temp6_1.dta"
append using "`dirwork'temp7_1.dta"
append using "`dirwork'temp8_1.dta"
gen wght_com=.
replace wght_com=mlt_com_w/200 if (nsc_com_w>nss_com_w)
replace wght_com=mlt_com_w/100 if (mlt_com_w==.)
compress *
save "`dirwork'bk_1_2_3.dta", replace

use "`dirwork'temp1_2.dta", clear
append using "`dirwork'temp2_2.dta"
append using "`dirwork'temp3_2.dta"
append using "`dirwork'temp4_2.dta"
append using "`dirwork'temp5_2.dta"
append using "`dirwork'temp6_2.dta"
append using "`dirwork'temp7_2.dta"
append using "`dirwork'temp8_2.dta"
gen wght_com=.
replace wght_com=mlt_com_w/200 if (nsc_com_w>nss_com_w)
replace wght_com=mlt_com_w/100 if (mlt_com_w==.)
compress *
save "`dirwork'bk_4.dta", replace

use "`dirwork'temp1_3.dta", clear
append using "`dirwork'temp2_3.dta"
append using "`dirwork'temp3_3.dta"
append using "`dirwork'temp4_3.dta"
append using "`dirwork'temp5_3.dta"
append using "`dirwork'temp6_3.dta"
append using "`dirwork'temp7_3.dta"
append using "`dirwork'temp8_3.dta"
gen wght_com=.
replace wght_com=mlt_com_w/200 if (nsc_com_w>nss_com_w)
replace wght_com=mlt_com_w/100 if (mlt_com_w==.)
compress *
save "`dirwork'bk_5.dta", replace

use "`dirwork'temp1_4.dta", clear
append using "`dirwork'temp2_4.dta"
append using "`dirwork'temp3_4.dta"
append using "`dirwork'temp4_4.dta"
append using "`dirwork'temp5_4.dta"
append using "`dirwork'temp6_4.dta"
append using "`dirwork'temp7_4.dta"
append using "`dirwork'temp8_4.dta"
gen wght_com=.
replace wght_com=mlt_com_w/200 if (nsc_com_w>nss_com_w)
replace wght_com=mlt_com_w/100 if (mlt_com_w==.)
compress *
save "`dirwork'bk_6.dta", replace

use "`dirwork'temp1_5.dta", clear
append using "`dirwork'temp2_5.dta"
append using "`dirwork'temp3_5.dta"
append using "`dirwork'temp4_5.dta"
append using "`dirwork'temp5_5.dta"
append using "`dirwork'temp6_5.dta"
append using "`dirwork'temp7_5.dta"
append using "`dirwork'temp8_5.dta"
gen wght_com=.
replace wght_com=mlt_com_w/200 if (nsc_com_w>nss_com_w)
replace wght_com=mlt_com_w/100 if (mlt_com_w==.)
compress *
save "`dirwork'bk_7.dta", replace

use "`dirwork'temp1_6.dta", clear
append using "`dirwork'temp2_6.dta"
append using "`dirwork'temp3_6.dta"
append using "`dirwork'temp4_6.dta"
append using "`dirwork'temp5_6.dta"
append using "`dirwork'temp6_6.dta"
append using "`dirwork'temp7_6.dta"
append using "`dirwork'temp8_6.dta"
gen wght_com=.
replace wght_com=mlt_com_w/200 if (nsc_com_w>nss_com_w)
replace wght_com=mlt_com_w/100 if (mlt_com_w==.)
compress *
save "`dirwork'bk_8.dta", replace



