set more off

local i=1 
while `i'<=8 {

* Sch. 1.0 LEVEL - 01(Blocks 1 and 2) ;
#delimit ;
clear;
infix 
centre 1-3
fsu 4-8
round 9-10
sched_num 11 -13
sched_typ 14-14
sample 15-15
sector 16-16
stat_reg  17-19
district 20-21
stratum 22-23
subround 24-24
subsample 25-25
fodsub_r 26-29
hamlet 30-30
secstage 31-31
hhsno 32-33
level 34-35
filler 36-40
informant 41-42
response 43-43
surv_code 44-44
subst_cod 45-45
date_srv 46-51
date_dsp 52-57
time_can 58-60
nss_com_w 127-129
nsc_com_w 130-132
mlt_com_w 133-142
nss_sch_w 143-145
nsc_sch_w 146-148
mlt_sch_w 149-158
using "C:\_OD\ICP\India 2004\Data\Sch1.0\AH`i'.TXT" ;
keep if (level==1);
compress *;
save "C:\_OD\ICP\India 2004\Work\temp`i'_1.dta", replace;

* Sch. 1.0 LEVEL - 02 (Block 3) ;
clear;
infix 
centre 1-3
fsu 4-8
round 9-10
sched_num 11 -13
sched_typ 14-14
sample 15-15
sector 16-16
stat_reg  17-19
district 20-21
stratum 22-23
subround 24-24
subsample 25-25
fodsub_r 26-29
hamlet 30-30
secstage 31-31
hhsno 32-33
level 34-35
filler 36-40
hhsize 41-42
nic_code 43-47
nco_code 48-50
hh_type 51-51
religion 52-52
soc_grp 53-53
land_pos 54-55
dwelling 56-56
typ_dwel 57-57
typ_stru 58-58
cov_area 59-64
cooking 65-66
lighting 67-67
purchase 68-73
hmp_stock 74-79
exchange 80-85
gift_loa 86-91
free_col 92-97
tot_exp 98-103
mpce 104-111
ceremony 112-112
meals_ou 113-116
ration 117-117
nss_com_w 127-129
nsc_com_w 130-132
mlt_com_w 133-142
nss_sch_w 143-145
nsc_sch_w 146-148
mlt_sch_w 149-158
using "C:\_OD\ICP\India 2004\Data\Sch1.0\AH`i'.TXT" ;
keep if level==2;
compress *;
save "C:\_OD\ICP\India 2004\Work\temp`i'_2.dta", replace;

* Sch. 1.0 LEVEL - 03 (Block 4) ;
clear;
infix
centre 1-3
fsu 4-8
round 9-10
sched_num 11 -13
sched_typ 14-14
sample 15-15
sector 16-16
stat_reg  17-19
district 20-21
stratum 22-23
subround 24-24
subsample 25-25
fodsub_r 26-29
hamlet 30-30
secstage 31-31
hhsno 32-33
level 34-35
filler 36-38
personno 39-40
relation 41-41
sex 42-42
age 43-45
marstat 46-46
educatio 47-48
daysaway 49-50
mealsday 51-51
mealssch 52-53
mealsemp 54-55
mealsoth 56-57
mealspay 58-59
mealshom 60-61
nss_com_w 127-129
nsc_com_w 130-132
mlt_com_w 133-142
nss_sch_w 143-145
nsc_sch_w 146-148
mlt_sch_w 149-158
using "C:\_OD\ICP\India 2004\Data\Sch1.0\AH`i'.TXT" ;
keep if level==3;
compress *;
save "C:\_OD\ICP\India 2004\Work\temp`i'_3.dta", replace;

* Sch. 1.0 LEVEL - 04 (Blocks 5, 6 & 7) ;
clear ;
infix 
centre 1-3
fsu 4-8
round 9-10
sched_num 11 -13
sched_typ 14-14
sample 15-15
sector 16-16
stat_reg  17-19
district 20-21
stratum 22-23
subround 24-24
subsample 25-25
fodsub_r 26-29
hamlet 30-30
secstage 31-31
hhsno 32-33
level 34-35
filler 36-37
item_cod 38-40
quantity 41-48
value 49-56
source 57-57
nss_com_w 127-129
nsc_com_w 130-132
mlt_com_w 133-142
nss_sch_w 143-145
nsc_sch_w 146-148
mlt_sch_w 149-158
using "C:\_OD\ICP\India 2004\Data\Sch1.0\AH`i'.TXT" ;
keep if level==4;
compress *;
save "C:\_OD\ICP\India 2004\Work\temp`i'_4.dta", replace;

* Sch. 1.0 LEVEL - 05 (Blocks 8 and 9) ;
clear;
infix 
centre 1-3
fsu 4-8
round 9-10
sched_num 11-13
sched_typ 14-14
sample 15-15
sector 16-16
stat_reg 17-19
district 20-21
stratum 22-23
subround 24-24
subsample 25-25
fodsub_r 26-29
hamlet 30-30
secstage 31-31
hhsno 32-33
level 34-35
filler 36-37
item_cod 38-40
quantity 41-48
value 49-56
nss_com_w 127-129
nsc_com_w 130-132
mlt_com_w 133-142
nss_sch_w 143-145
nsc_sch_w 146-148
mlt_sch_w 149-158
using "C:\_OD\ICP\India 2004\Data\Sch1.0\AH`i'.TXT" ;
keep if level==4;
compress *;
save "C:\_OD\ICP\India 2004\Work\temp`i'_5.dta", replace;

* Sch. 1.0 LEVEL - 06 (Blocks 10 and 11) ;
clear;
infix 
centre 1-3
fsu 4-8
round 9-10
sched_num 11-13
sched_typ 14-14
sample 15-15
sector 16-16
stat_reg 17-19
district 20-21
stratum 22-23
subround 24-24
subsample 25-25
fodsub_r 26-29
hamlet 30-30
secstage 31-31
hhsno 32-33
level 34-35
filler 36-37
item_cod 38-40
value 41-48
nss_com_w 127-129
nsc_com_w 130-132
mlt_com_w 133-142
nss_sch_w 143-145
nsc_sch_w 146-148
mlt_sch_w 149-158
using "C:\_OD\ICP\India 2004\Data\Sch1.0\AH`i'.TXT" ;
keep if level==6;
compress *;
save "C:\_OD\ICP\India 2004\Work\temp`i'_6.dta", replace;

* Sch. 1.0 LEVEL - 07 (Block 12) ;
clear;
infix 
centre 1-3
fsu 4-8
round 9-10
sched_num 11-13
sched_typ 14-14
sample 15-15
sector 16-16
stat_reg  17-19
district 20-21
stratum 22-23
subround 24-24
subsample 25-25
fodsub_r 26-29
hamlet 30-30
secstage 31-31
hhsno 32-33
level 34-35
filler 36-37
item_cod 38-40
noinuse 41-43
nofirsth 44-46
hire_pur 47-47
val_fhp  48-55
cost_raw 56-63
noseconh 64-66
val_shp 67-74
value 75-82
nss_com_w 127-129
nsc_com_w 130-132
mlt_com_w 133-142
nss_sch_w 143-145
nsc_sch_w 146-148
mlt_sch_w 149-158
using "C:\_OD\ICP\India 2004\Data\Sch1.0\AH`i'.TXT" ;
keep if level==7;
compress *;
save "C:\_OD\ICP\India 2004\Work\temp`i'_7.dta", replace;
local i = `i' + 1 ;
#delimit cr

}

use "C:\_OD\ICP\India 2004\Work\temp1_1.dta", clear
append using "C:\_OD\ICP\India 2004\Work\temp2_1.dta"
append using "C:\_OD\ICP\India 2004\Work\temp3_1.dta"
append using "C:\_OD\ICP\India 2004\Work\temp4_1.dta"
append using "C:\_OD\ICP\India 2004\Work\temp5_1.dta"
append using "C:\_OD\ICP\India 2004\Work\temp6_1.dta"
append using "C:\_OD\ICP\India 2004\Work\temp7_1.dta"
append using "C:\_OD\ICP\India 2004\Work\temp8_1.dta"
gen wght_com=.
replace wght_com=mlt_com_w/200 if (nsc_com_w>nss_com_w)
replace wght_com=mlt_com_w/100 if (mlt_com_w==.)
gen wght_sch=.
replace wght_sch=mlt_sch_w/200 if (nsc_sch_w>nss_sch_w)
replace wght_sch=mlt_sch_w/100 if (mlt_sch_w==.)
compress *
save "C:\_OD\ICP\India 2004\Data\bk_1_2.dta", replace

use "C:\_OD\ICP\India 2004\Work\temp1_2.dta", clear
append using "C:\_OD\ICP\India 2004\Work\temp2_2.dta"
append using "C:\_OD\ICP\India 2004\Work\temp3_2.dta"
append using "C:\_OD\ICP\India 2004\Work\temp4_2.dta"
append using "C:\_OD\ICP\India 2004\Work\temp5_2.dta"
append using "C:\_OD\ICP\India 2004\Work\temp6_2.dta"
append using "C:\_OD\ICP\India 2004\Work\temp7_2.dta"
append using "C:\_OD\ICP\India 2004\Work\temp8_2.dta"
gen wght_com=.
replace wght_com=mlt_com_w/200 if (nsc_com_w>nss_com_w)
replace wght_com=mlt_com_w/100 if (mlt_com_w==.)
gen wght_sch=.
replace wght_sch=mlt_sch_w/200 if (nsc_sch_w>nss_sch_w)
replace wght_sch=mlt_sch_w/100 if (mlt_sch_w==.)
compress *
save "C:\_OD\ICP\India 2004\Data\bk_3.dta", replace

use "C:\_OD\ICP\India 2004\Work\temp1_3.dta", clear
append using "C:\_OD\ICP\India 2004\Work\temp2_3.dta"
append using "C:\_OD\ICP\India 2004\Work\temp3_3.dta"
append using "C:\_OD\ICP\India 2004\Work\temp4_3.dta"
append using "C:\_OD\ICP\India 2004\Work\temp5_3.dta"
append using "C:\_OD\ICP\India 2004\Work\temp6_3.dta"
append using "C:\_OD\ICP\India 2004\Work\temp7_3.dta"
append using "C:\_OD\ICP\India 2004\Work\temp8_3.dta"
gen wght_com=.
replace wght_com=mlt_com_w/200 if (nsc_com_w>nss_com_w)
replace wght_com=mlt_com_w/100 if (mlt_com_w==.)
gen wght_sch=.
replace wght_sch=mlt_sch_w/200 if (nsc_sch_w>nss_sch_w)
replace wght_sch=mlt_sch_w/100 if (mlt_sch_w==.)
compress *
save "C:\_OD\ICP\India 2004\Data\bk_4.dta", replace

use "C:\_OD\ICP\India 2004\Work\temp1_4.dta", clear
append using "C:\_OD\ICP\India 2004\Work\temp2_4.dta"
append using "C:\_OD\ICP\India 2004\Work\temp3_4.dta"
append using "C:\_OD\ICP\India 2004\Work\temp4_4.dta"
append using "C:\_OD\ICP\India 2004\Work\temp5_4.dta"
append using "C:\_OD\ICP\India 2004\Work\temp6_4.dta"
append using "C:\_OD\ICP\India 2004\Work\temp7_4.dta"
append using "C:\_OD\ICP\India 2004\Work\temp8_4.dta"
gen wght_com=.
replace wght_com=mlt_com_w/200 if (nsc_com_w>nss_com_w)
replace wght_com=mlt_com_w/100 if (mlt_com_w==.)
gen wght_sch=.
replace wght_sch=mlt_sch_w/200 if (nsc_sch_w>nss_sch_w)
replace wght_sch=mlt_sch_w/100 if (mlt_sch_w==.)
compress *
save "C:\_OD\ICP\India 2004\Data\bk_5_6_7.dta", replace

use "C:\_OD\ICP\India 2004\Work\temp1_5.dta", clear
append using "C:\_OD\ICP\India 2004\Work\temp2_5.dta"
append using "C:\_OD\ICP\India 2004\Work\temp3_5.dta"
append using "C:\_OD\ICP\India 2004\Work\temp4_5.dta"
append using "C:\_OD\ICP\India 2004\Work\temp5_5.dta"
append using "C:\_OD\ICP\India 2004\Work\temp6_5.dta"
append using "C:\_OD\ICP\India 2004\Work\temp7_5.dta"
append using "C:\_OD\ICP\India 2004\Work\temp8_5.dta"
gen wght_com=.
replace wght_com=mlt_com_w/200 if (nsc_com_w>nss_com_w)
replace wght_com=mlt_com_w/100 if (mlt_com_w==.)
gen wght_sch=.
replace wght_sch=mlt_sch_w/200 if (nsc_sch_w>nss_sch_w)
replace wght_sch=mlt_sch_w/100 if (mlt_sch_w==.)
compress *
save "C:\_OD\ICP\India 2004\Data\bk_8_9.dta", replace

use "C:\_OD\ICP\India 2004\Work\temp1_6.dta", clear
append using "C:\_OD\ICP\India 2004\Work\temp2_6.dta"
append using "C:\_OD\ICP\India 2004\Work\temp3_6.dta"
append using "C:\_OD\ICP\India 2004\Work\temp4_6.dta"
append using "C:\_OD\ICP\India 2004\Work\temp5_6.dta"
append using "C:\_OD\ICP\India 2004\Work\temp6_6.dta"
append using "C:\_OD\ICP\India 2004\Work\temp7_6.dta"
append using "C:\_OD\ICP\India 2004\Work\temp8_6.dta"
gen wght_com=.
replace wght_com=mlt_com_w/200 if (nsc_com_w>nss_com_w)
replace wght_com=mlt_com_w/100 if (mlt_com_w==.)
gen wght_sch=.
replace wght_sch=mlt_sch_w/200 if (nsc_sch_w>nss_sch_w)
replace wght_sch=mlt_sch_w/100 if (mlt_sch_w==.)
compress *
save "C:\_OD\ICP\India 2004\Data\bk_10_11.dta", replace

use "C:\_OD\ICP\India 2004\Work\temp1_7.dta", clear
append using "C:\_OD\ICP\India 2004\Work\temp2_7.dta"
append using "C:\_OD\ICP\India 2004\Work\temp3_7.dta"
append using "C:\_OD\ICP\India 2004\Work\temp4_7.dta"
append using "C:\_OD\ICP\India 2004\Work\temp5_7.dta"
append using "C:\_OD\ICP\India 2004\Work\temp6_7.dta"
append using "C:\_OD\ICP\India 2004\Work\temp7_7.dta"
append using "C:\_OD\ICP\India 2004\Work\temp8_7.dta"
gen wght_com=.
replace wght_com=mlt_com_w/200 if (nsc_com_w>nss_com_w)
replace wght_com=mlt_com_w/100 if (mlt_com_w==.)
gen wght_sch=.
replace wght_sch=mlt_sch_w/200 if (nsc_sch_w>nss_sch_w)
replace wght_sch=mlt_sch_w/100 if (mlt_sch_w==.)
compress *
save "C:\_OD\ICP\India 2004\Data\bk_12.dta", replace
